/*
  Project: LCD12864B ST7920
  Function: Lets try to draw a Circle, and a the number 012 on screen  
 */
//*********************************************************
#include <LCD12864.h>//library code
//*********************************************************
void setup() {
  LCDA.Initialise();//initialize
  delay(500);
  LCDA.Render();//start to draw sketch
  LCDA.DrawCircle(30,135,5);//draw circle. The first two arguments are the x and y coordinates of the circle, and the third argument is the radius of the circle.

  LCDA.RenderScreenBuffer(2);//used to specify the screen part where you want to draw sketch (1 = upper part of the screen, 2 = lower part of the screen)
  /*Draw used to seitch graphics mode.
(t is true means the graphics mode is on, argument 'x' and 'y' can be any number.)
(t is false means the ASCII mode is on, argument 'x' represents the position of the characters (ranging from 0 to 23), and argument 'y' is of no use.*/
  LCDA.Draw(false,4,0);
  delay(1);
  //specifies data for data lines to draw on LCD screen:
  LCDA.setPins(1,0,0,0,1,1,0,0,0,0);//0
  LCDA.setPins(1,0,0,0,1,1,0,0,0,1);//1
  LCDA.setPins(1,0,0,0,1,1,0,0,1,0);//2
   /*Draw used to seitch graphics mode.
(t is true means the graphics mode is on, argument 'x' and 'y' can be any number.)
(t is false means the ASCII mode is on, argument 'x' represents the position of the characters (ranging from 0 to 23), and argument 'y' is of no use.*/
  LCDA.Draw(true,4,0);
  }
void loop() {  
}
